module Functions.General
  ( elemOf
  ) where

import Types (Token)
import DependencyGenerator (DepGenM, TokenableTo(..), onTupleToken)

elemOf :: (Eq t, TokenableTo t a, TokenableTo [t] b) => a -> b -> DepGenM (Token Bool)
elemOf = onTupleToken elem
